Subject: [bug#46215] [PATCH] Add yadm

From: Ellis Kenyő <[email-masked]>
Date: Mon, 01 Feb 2021 10:06:03 +0000

I understand that, the question was how are they handled if they're installed after yadm? Would yadm be rebuilt with the new inputs? 

On 1 Feb 2021, 08:14, at 08:14, Leo Prikler <[email-masked]> wrote:
>Am Montag, den 01.02.2021, 03:44 +0000 schrieb Ellis Kenyő:
>> Hi Leo,
>> 
>> I understand what to do, I just wasn't sure how dependencies
>> installed later would be handled. Some are optional and if they don't
>> exist yadm just carries on, but some are required.
>> 
>> Would the optional ones still be handled?
>Guix' policy is to include as many optional dependencies as possible,
>up to a reasonable limit in closure size.  In this case, that's
>hopefully all of them.
>
>Regards,
>Leo